Minimum Requirements for the .NET Interface

posted in: Help 0

The minimum requirements for applications based on the CC-API .NET interface (class library) are:

Recommended Versions

According to Wikipedia, Visual Studio 2017 offers new features like support for EditorConfig (a coding style enforcement framework). It also has an XAML Editor, improved IntelliSense, live unit testing, debugging enhancement and better IDE experience and productivity.

According to Microsoft, new features in .NET Framework 4.7 include:

  • Enhanced cryptography with elliptic curve cryptography
  • Improve Transport Layer Security (TLS) support, especially for version 1.2
  • More support for touch and stylus in Windows Presentation Foundation (WPF)
  • New print APIs for WPF

Therefore, we recommend to use the latest versions of CHEMCAD, Visual Studio and .NET Framework.